For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • PUTUpdate A Company User
              • GETGet Company Users
              • POSTCreate A Company User
              • PUTUpdate Company User
              • POSTBulk Create Company User
              • GETGet A Company User
              • DELDelete A Company User
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIUser

Get A Company User

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/users/:customerId
GET
/api/v2/io/companies/:companyId/users/:customerId
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/users/customerId \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "catalogId": "1",
5 "createdAt": "1574999690",
6 "email": "john.smith@example.com",
7 "firstName": "John",
8 "id": "123",
9 "lastName": "Smith",
10 "phoneNumber": "555-123-4567",
11 "role": "1",
12 "updatedAt": "1574999690",
13 "uuid": "A123456",
14 "channelList": []
15 },
16 "message": "SUCCESS"
17}
Get a company user's info, by company and customer id
Was this page helpful?
Previous

Bulk Create Company User

Next

Delete A Company User

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired
customerIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error